Commit e76e029a authored by Scott Wittenburg's avatar Scott Wittenburg

Replace gcc@4.8 w/ gcc@7.5.0, gcc@7.2.0 w/ gcc@8.3.0, update release version

parent 9c9b10f1
......@@ -14,11 +14,8 @@ RUN apt-get update -y && \
clang-3.7 \
emacs \
g++ \
g++-4.8 \
gcc \
gcc-4.8 \
gfortran \
gfortran-4.8 \
git \
gnupg2 \
iproute2 \
......
......@@ -15,7 +15,7 @@ rm -rf ~/.spack/*
# clone a new spack
git clone https://github.com/spack/spack
cd spack
git checkout releases/v0.12
git checkout releases/v0.15
# shell init
. share/spack/setup-env.sh
......@@ -28,7 +28,7 @@ spack mirror add tutorial /mirror
spack gpg trust /mirror/public.key
spack install zlib %clang
spack install zlib @1.2.8
spack install zlib %gcc@4.8
spack install zlib %gcc@7.5.0
spack install zlib @1.2.8 cppflags=-O3
spack find
spack find -lf
......@@ -51,10 +51,10 @@ spack find -lf zlib
spack find ^mpich
spack find cppflags=-O3
spack find -px
spack install gcc@7.2.0
spack install gcc@8.3.0
spack find -p gcc
spack compiler add `spack location -i gcc@7.2.0`
spack compiler remove gcc@7.2.0
spack compiler add `spack location -i gcc@8.3.0`
spack compiler remove gcc@8.3.0
# Packagin
spack install mpileaks
......@@ -62,13 +62,13 @@ spack install mpileaks
# Modules
spack install lmod
source `spack location -i lmod`/lmod/7.8/init/bash
spack compiler add `spack location -i gcc@7.2.0`
spack install netlib-scalapack ^openmpi ^openblas %gcc@7.2.0
spack install netlib-scalapack ^openmpi ^netlib-lapack %gcc@7.2.0
spack install netlib-scalapack ^mpich ^openblas %gcc@7.2.0
spack install netlib-scalapack ^mpich ^netlib-lapack %gcc@7.2.0
spack install py-scipy ^openblas %gcc@7.2.0
spack compiler remove gcc@7.2.0
spack compiler add `spack location -i gcc@8.3.0`
spack install netlib-scalapack ^openmpi ^openblas %gcc@8.3.0
spack install netlib-scalapack ^openmpi ^netlib-lapack %gcc@8.3.0
spack install netlib-scalapack ^mpich ^openblas %gcc@8.3.0
spack install netlib-scalapack ^mpich ^netlib-lapack %gcc@8.3.0
spack install py-scipy ^openblas %gcc@8.3.0
spack compiler remove gcc@8.3.0
# Advanced packaging
spack install netlib-lapack
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment